      DOUBLE PRECISION FUNCTION DRANDL(X)
C
C     RETURNS PSEUDO RANDOM NUMBERS LOGARITHMICALLY DISTRIBUTED
C     OVER (1,DEXP(X)).  THUS A*DRANDL(LN(B/A)) IS LOGARITHMICALLY
C     DISTRIBUTED IN (A,B).
C
C     OTHER SUBROUTINES REQUIRED
C
C        DEXP(X) - THE EXPONENTIAL ROUTINE
C
C        DRAN(K) - A FUNCTION PROGRAM RETURNING RANDOM DOUBLE
C                 PRECISION NUMBERS UNIFORMLY DISTRIBUTED OVER
C                 (0,1).  THE ARGUMENT K IS A DUMMY.
C
C
      DOUBLE PRECISION DRAN,X
      INTEGER K
      DATA K/1/
C
      DRANDL = DEXP(X*DRAN(K))
      RETURN
C     ---------- LAST CARD OF DRANDL ----------
      END
